#ifndef _ASYNCPROCESS_H_
#define _ASYNCPROCESS_H_

#include <wx/event.h>
#include <wx/process.h>
#include <wx/thread.h>

DECLARE_LOCAL_EVENT_TYPE(wxEVT_PROCESS_STDOUT, -3);

class AsyncProcess : public wxProcess , public wxThreadHelper {
    DECLARE_DYNAMIC_CLASS(AsyncProcess) 
public:
    AsyncProcess();
    AsyncProcess(wxEvtHandler *m_pEvtHandler); 

    void start();

    virtual ~AsyncProcess();
private:
    virtual wxThread::ExitCode Entry();
    virtual void OnTerminate(int pid, int status);
    
    wxEvtHandler *m_pEvtHandler;
};

#endif