#include "wx/wxprec.h"

#ifndef WX_PRECOMP
#	include "wx/wx.h"
#endif

#include "opennxtestevent.h"
#include "asyncprocess.h"

IMPLEMENT_APP(OpennxTestEvent)
 
BEGIN_EVENT_TABLE(OpennxTestEvent, wxEvtHandler)
    EVT_COMMAND(wxID_ANY, wxEVT_PROCESS_STDOUT, OpennxTestEvent::OnOutReceived )
END_EVENT_TABLE();

// This is executed upon startup, like 'main()' in non-wxWidgets programs.
bool OpennxTestEvent::OnInit()
{
	AsyncProcess* ap = new AsyncProcess(this);
	wxFrame *frame = new wxFrame((wxFrame*) NULL, -1, _T("Test opennx event"));
	frame->CreateStatusBar();
	frame->SetStatusText(_T("Test opennx event"));
	frame->Show(true);
	SetTopWindow(frame);
	
	ap->start();
	
	return true;
}

void OpennxTestEvent::OnOutReceived(wxCommandEvent &event) {
	printf("event received");
}